From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/jekyll/
Date: Mon, 20 Jan 2025 17:30:43 +0000 (UTC) [thread overview]
Message-ID: <1737394110.88cf01d6db2ed6964db18c20ed0c1832396f457c.graaff@gentoo> (raw)
commit: 88cf01d6db2ed6964db18c20ed0c1832396f457c
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 20 17:28:30 2025 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jan 20 17:28:30 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88cf01d6
www-apps/jekyll: add ruby32
To accomplish this the pathutil dependency is dropped. All tests pass
and as far as I was able to tell no Pathutil specific methods are used.
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
www-apps/jekyll/jekyll-4.3.4-r1.ebuild | 113 +++++++++++++++++++++++++++++++++
1 file changed, 113 insertions(+)
diff --git a/www-apps/jekyll/jekyll-4.3.4-r1.ebuild b/www-apps/jekyll/jekyll-4.3.4-r1.ebuild
new file mode 100644
index 000000000000..a5b0320df33e
--- /dev/null
+++ b/www-apps/jekyll/jekyll-4.3.4-r1.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+inherit ruby-fakegem
+
+RUBY_FAKEGEM_EXTRADOC="README.markdown History.markdown"
+RUBY_FAKEGEM_EXTRAINSTALL="features"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_BINDIR="exe"
+
+DESCRIPTION="Simple, blog aware, static site generator"
+HOMEPAGE="https://jekyllrb.com https://github.com/jekyll/jekyll"
+SRC_URI="https://github.com/jekyll/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.4
+ >=dev-ruby/colorator-1.0
+ >=dev-ruby/em-websocket-0.5
+ dev-ruby/i18n:1
+ >=dev-ruby/kramdown-2.3.1:2
+ dev-ruby/kramdown-parser-gfm:1
+ dev-ruby/liquid:4
+ =dev-ruby/mercenary-0.4*
+ || ( dev-ruby/rouge:4 dev-ruby/rouge:2 )
+ || ( dev-ruby/terminal-table:3 dev-ruby/terminal-table:2 )
+ >=dev-ruby/webrick-1.7:0
+ >=www-apps/jekyll-sass-converter-2.0
+ >=www-apps/jekyll-watch-2.2.1-r1
+"
+ruby_add_bdepend "
+ test? (
+ dev-ruby/kramdown-syntax-coderay
+ dev-ruby/launchy
+ dev-ruby/nokogiri
+ >=dev-ruby/rdiscount-2.0
+ >=dev-ruby/redcarpet-3.2.3
+ dev-ruby/rspec-mocks
+ >=dev-ruby/shoulda-3
+ dev-ruby/test-unit:2
+ www-apps/jekyll-coffeescript
+ )
+"
+
+all_ruby_prepare() {
+ eapply "${FILESDIR}"/jekyll-3.6.0-test-helper.patch
+ eapply -R "${FILESDIR}/jekyll-4.3.2-sass.patch"
+ eapply "${FILESDIR}"/jekyll-4.3.2-no-safe_yaml.patch
+
+ # Avoid pathutil since it is not compatible with ruby 3.2+ and not
+ # Pathutil specific methods seem to be used.
+ sed -e '/pathutil/ s:^:#:' \
+ -i lib/jekyll.rb ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Drop tests requiring bundler
+ sed -i -e '/bundle_message/d' test/test_new_command.rb || die
+ rm test/test_plugin_manager.rb || die
+
+ # Drop tests requiring classifier-reborn (ruby27-only package)
+ rm -f test/test_related_posts.rb || die
+
+ # Replace git command in gemspec
+ sed -e 's/git ls-files/find -not -type d -print/' \
+ -e 's:_relative ": "./:' \
+ -i $RUBY_FAKEGEM_GEMSPEC || die
+
+ sed -e '3igem "liquid", "~> 4.0"' -i test/helper.rb || die
+
+ # FIXMEs:
+ # fails to find fixtures because this requires bundler
+ rm -f test/test_theme.rb || die
+ rm -f test/test_theme_{assets_reader,data_reader,drop}.rb || die
+ sed -i -e '/^ should.*theme/,/^ end$/d' \
+ -e '/^ should.*theme/,/^ end$/d' test/test_site.rb || die
+ sed -i -e '/context "with a theme"/,/^ end/ s:^:#:' test/test_layout_reader.rb || die
+ sed -i -e '/normalize paths of rendered items/askip "test-theme"' test/test_liquid_renderer.rb || die
+ # partially requires 'toml'
+ rm test/test_configuration.rb || die
+ # pygments tests fail because of line numbering
+ sed -i -e '/^ context.*pygments/,/^ end$/d' test/test_tags.rb || die
+
+ # Tries to use bundler and install packages.
+ rm -f test/test_new_command.rb || die
+
+ # Fails due to ordering differences in ruby 3.0
+ sed -e '/convert drop to json/askip "hash ordering with ruby 3"' \
+ -i test/test_filters.rb || die
+
+ # Avoid a test failing due to TZ differences
+ sed -e '/contain the proper page data to mimic the post liquid/askip "TZ difference"' \
+ -i test/test_excerpt.rb || die
+
+ # Confused by network-sandbox
+ sed -e "/return true if there's internet/askip \"Confused by network-sandbox\"" \
+ -i test/test_utils.rb || die
+
+ # Avoid tests requiring unmaintained and broken httpclient
+ rm -f test/test_commands_serve.rb || die
+}
+
+src_test() {
+ local -x JEKYLL_NO_BUNDLER_REQUIRE=true
+
+ ruby-ng_src_test
+}
next reply other threads:[~2025-01-20 17:30 UTC|newest]
Thread overview: 54+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-20 17:30 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-15 7:24 [gentoo-commits] repo/gentoo:master commit in: www-apps/jekyll/ Petr Vaněk
2025-03-19 8:09 Hans de Graaff
2025-02-24 11:28 Petr Vaněk
2025-01-18 8:45 Hans de Graaff
2024-11-16 8:12 Hans de Graaff
2024-11-16 8:12 Hans de Graaff
2024-03-15 6:08 Hans de Graaff
2023-12-13 13:16 Hans de Graaff
2023-12-13 13:16 Hans de Graaff
2023-08-19 8:36 Hans de Graaff
2023-07-20 7:23 Hans de Graaff
2023-06-23 8:51 Sam James
2023-04-01 6:35 Hans de Graaff
2023-04-01 6:25 Hans de Graaff
2023-02-22 19:56 Sam James
2022-06-18 8:40 Hans de Graaff
2022-05-20 10:36 Hans de Graaff
2022-05-20 10:36 Hans de Graaff
2021-08-29 0:40 Aaron Bauman
2020-09-09 10:07 Michał Górny
2020-08-15 10:13 Hans de Graaff
2020-08-09 7:27 Michał Górny
2020-07-27 2:09 Sam James
2020-06-19 13:09 Hans de Graaff
2019-07-17 7:37 Hans de Graaff
2019-04-12 13:58 Hans de Graaff
2018-11-25 21:58 Aaron Bauman
2018-09-06 21:22 Michał Górny
2018-06-13 11:00 Michał Górny
2018-05-06 8:14 Hans de Graaff
2018-05-06 8:14 Hans de Graaff
2018-01-24 18:33 Hans de Graaff
2017-10-09 18:06 Michał Górny
2017-10-09 18:06 Michał Górny
2017-08-28 5:54 Hans de Graaff
2017-04-28 21:15 Manuel Rüger
2017-04-28 21:15 Manuel Rüger
2016-10-24 21:24 Manuel Rüger
2016-09-17 2:47 Manuel Rüger
2016-09-17 1:34 Manuel Rüger
2016-09-05 19:44 Manuel Rüger
2016-09-05 17:52 Manuel Rüger
2016-08-28 22:59 Manuel Rüger
2016-05-20 20:17 Manuel Rüger
2016-05-20 20:14 Manuel Rüger
2016-04-29 19:44 Manuel Rüger
2016-04-19 21:54 Manuel Rüger
2016-02-21 11:05 Manuel Rüger
2016-02-21 11:05 Manuel Rüger
2016-02-18 22:52 Manuel Rüger
2016-02-18 22:52 Manuel Rüger
2016-02-18 22:48 Manuel Rüger
2016-01-23 16:31 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1737394110.88cf01d6db2ed6964db18c20ed0c1832396f457c.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox